<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetItems Method (IEdmMenu6)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmMenu6 Interface : GetItems Method (IEdmMenu6)

Visual Basic
C#
C++/CLI

ppoRetItems
  Array of EdmCmdInfo structs of the returned items

Gets the commands that appear on the toolbar.

# Syntax

Visual Basic |
--- | ---

    Sub GetItems( _
       ByVal lEdmMenuFlags As System.Integer, _
       ByRef ppoRetItems() As EdmCmdInfo _
    )

C# |
--- | ---

    void GetItems(
       System.int lEdmMenuFlags,
       out EdmCmdInfo[] ppoRetItems
    )

C++/CLI |
--- | ---

    void GetItems(
    &   System.int lEdmMenuFlags,
    &   [Out] array<EdmCmdInfo>^ ppoRetItems
    )

#### Parameters

lEdmMenuFlags
  Types of item you want returned as defined in EdmMenuFlags
ppoRetItems
  Array of EdmCmdInfo structs of the returned items

# Example

Get Menu Command Items (VB.NET)
Get Menu Command Items (C#)

# Remarks

Calling IEdmMenu5::GetToolbarItemIDs, IEdmMenu5::GetButtonImages, or IEdmMenu5::GetString also gets the commands that should appear on the toolbar.

Return code S_OK indicates that the method successfully executed.

# See Also

####

IEdmMenu6 Interface
IEdmMenu6 Members

# Availability

SOLIDWORKS PDM Professional 2009